PDA

View Full Version : If .NET on system, why does it prompt to install it?



kwicker1958
12-01-2004, 03:03 PM
Using the Release Wizard, I've added the .NET option. On systems that already have this version, it still prompts my user to install it. Shouldn't this be smart enough to detect or do I have to code something for this?

kwicker1958
12-07-2004, 11:06 AM
OK folks. 127 people have looked at this post and nobody has a reply for me?

MichaelU
12-07-2004, 11:24 AM
Perhaps a few more details are in order - what exact versions of .NET are you selecting, and which exist on the target machine? If for instance you're installing 1.1 with three language packs supported, are they all already installed, or is only one language pack installed? Ditto SP versions and so forth.

kwicker1958
12-09-2004, 11:37 AM
No language packs. Seems as if I download the .NET v1.1 with sp1 and run that outside of IShield, then my IShield project doesn't prompt me again. But anytime I run it from within (and it's probably not the v1.1 sp1) it prompts me. Thanks for the reply...I'll keep trudging along.

MichaelU
12-09-2004, 11:54 AM
I suspect you are using the web download option for .NET installation. If this is the case, then you've hit the nail on the head. We found some runtime problems with the 1.1 SP1 support, and withdrew it from the web downloading version. These problems have been fixed and the updated version will be in place soon. Once in place, the web downloader will install 1.1 SP1 satisfying the .NET check in your setup.exe, much like it did when you manually installed SP1.

kwicker1958
12-09-2004, 11:58 AM
Yes, that's the case. Had to use that option, as InstallShield told me of a bug they've found if we don't use that option (work order # 1-Z9JS5). Hope it's resolved soon. Thanks.